<script lang="ts">
import Vue from 'vue';
import {
  NextStep as FeaturesCTA,
  // SideNavigation
} from '../../common/index';
import {
  FeatureOverview,
  FeatureBenefit,
  FeatureBlockHero,
  // FeatureBlockRelated,
  // SolutionsResourceCards
} from '../../features/index';

export default Vue.extend({
  components: {
    FeaturesCTA,
    // SideNavigation,
    FeatureBlockHero,
    FeatureOverview,
    FeatureBenefit,
    // FeatureBlockRelated,
    // SolutionsResourceCards,
  },
  props: {
    page: {
      type: Object,
      required: true,
    },
  },
});
</script>

<template>
  <div>
    <FeatureBlockHero
      v-if="page['feature-block-hero']"
      :data="page['feature-block-hero'].data"
    />
    <FeatureOverview
      v-if="page['feature-overview']"
      :data="page['feature-overview'].data"
    />
    <FeatureBenefit
      v-if="page['feature-benefit']"
      :data="page['feature-benefit'].data"
    />
    <!-- <FeatureBlockRelated :data="$data['feature-block-related'].data" /> -->
    <!-- <SolutionsResourceCards :data="$data['solutions-resource-cards'].data" /> -->
    <FeaturesCTA />
  </div>
</template>
